Gå til hovedinnhold

Fetch unit multiple fields

GET 

/units

Units Endpoint

Overview

This API returns information about a unit based multiple fields.

It supports both single unit retrieval and batch downloads.

Example Request

curl -X 'GET' \
'https://apis.propcloud.no/api/public/units?property-id-nma=0301-210-56-0-0' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
unitIdUnique identifier for the unit within the property.Unik identifikator for bruksenheten. Feltet heter BruksenhetId i MatrikkelenKartverket
addressIdUnique identifier for the address of the unit.Unik identifikator for adressen til enheten.Kartverket
propertyIdNmaUnique identifier for the property, generated based on city number, ground number, and other details.Unik identifikator for eiendommen generert basert paa kommunenummer, gaardsnummer og andre detaljer.PropCloud
propertyIdUnique identifier for the property.Unik identifikator for eiendommen.
Feltet heter MatrikkelenhetId i Matrikkelen
PropCloud
housingAssociationIdUnique identifier for the housing association unit, formatted as organization number-share number, i.e. "924758716-4"Unik identifikator for borettslagsandelen, formatert som organisasjonsnummer-andelsnummer, i.e. "924758716-4"PropCloud
ownershipFormSpecifies the form of ownership, such as freehold, co-op, or share.Angir eierskapsformen, som f.eks. selveier, borettslag eller aksjePropCloud, Kartverket
unitTypeSpecifies the type of unit, e.g., apartment, house, or other property types.Angir enhetstype, f.eks. leilighet, hus eller andre eiendomstyper.Kartverket, PropCloud
bathroomsThe number of bathrooms in the unit.Antall bad i bruksenhetenKarverket, Finn.no, Hjem.no
wcsThe number of toilets in the unit.Antall toaletter i bruksenhetenKartverket
braThe size of the unit in square meters (BRA - Bruksareal).Storrelsen pa enheten i kvadratmeter (BRA - Bruksareal).Kartverket, Finn.no, Hjem.no
roomsThe number of rooms in the unit.Antall rom i enheten.Finn.no, Hjem.no
floorsThe number of floors in the building.Antall etasjer i bygningen.Kartverket
buildingIdUnique identifier for the building. Additions / changes to a building gets a unique building id but keeps the same building numberUnik identifikator for bygningen.
Paabygg / endinger paa bygning faar eget bygningsid, men beholder samme bygningsnummer. Feltet heter ByggId i Matrikkelen
PropCloud
buildingNumberUnique identifier for the building. Building number assigned to the building.Unik identifikator for bygningen.
Feltet heter bygningsnummer i Matrikkelen
Kartverket
builtYearThe year the property was built inÅret eiendommen ble byggetKartverket, Finn.no, Hjem.no
homeTypeThe type of building the property is, e.g. LeilighetBygningstypen eiendommen tilhører, f.eks. LeilighetKartverket
cityNameName of the city where the unit is located.Navn på byen der enheten ligger.Kartverket
cityNumberUnique identifier for the city.Kommunenummer, unik identifikator for kommunenKartverket
addressThe physical address of the unit.Den fysiske adressen til enheten.Kartverket
apartmentNumberThe specific unit number, i.e. H0101.Bruksenhetsnummeret, i.e. H0101.PropCloud, Kartverket
postalCodeThe postal code where the unit is located.Postnummeret der bruksenheten liggerKartverket
postalLocationThe name of the postal area associated with the postal code.Navn på poststedet som er knyttet til postnummeretKartverket
latLatitude coordinate of the unit.Breddegrad koordinat for enheten.Kartverket
lonLongitude coordinate of the unit.Lengdegrad koordinat for enheten.Kartverket
batchIdUnique identifier for the batch of recordsUnik identifikator for batchenPropCloud
housingCompanyOrgIdUnique identifier for the housing company's organization.Unik identifikator for borettslagets organisasjon.PropCloud

Request

Responses

Successful Response